#include "CoreStoreCharactersSelectionWidget.h"
#include "ERightStickMode.h"
#include "Components/SlateWrapperTypes.h"
#include "StoreCharactersFiltersData.h"

class UCoreButtonWidget;
class UCoreSelectableButtonWidget;
class UDBDScrollBox;

void UCoreStoreCharactersSelectionWidget::SetRightStickMode(ERightStickMode rightStickMode)
{

}

void UCoreStoreCharactersSelectionWidget::OnPerkWidgetVisibilityChanged(ESlateVisibility newVisibility)
{

}

void UCoreStoreCharactersSelectionWidget::OnPerkToastButtonClick(UCoreButtonWidget* buttonTarget)
{

}

void UCoreStoreCharactersSelectionWidget::OnFiltersWidgetVisibilityChanged(const ESlateVisibility newVisibility)
{

}

void UCoreStoreCharactersSelectionWidget::OnFiltersChanged(const FStoreCharactersFiltersData& storeFiltersData)
{

}

void UCoreStoreCharactersSelectionWidget::OnFiltersButtonClicked(UCoreButtonWidget* buttonTarget)
{

}

void UCoreStoreCharactersSelectionWidget::OnClearFiltersClicked()
{

}

void UCoreStoreCharactersSelectionWidget::OnCharacterSelected(UCoreSelectableButtonWidget* buttonTarget, bool isSelected)
{

}

ERightStickMode UCoreStoreCharactersSelectionWidget::GetRightStickMode() const
{
	return ERightStickMode::None;
}

UDBDScrollBox* UCoreStoreCharactersSelectionWidget::GetCharacterSelectionScrollBox() const
{
	return NULL;
}

UCoreStoreCharactersSelectionWidget::UCoreStoreCharactersSelectionWidget()
{
	this->_itemWidgetClass = NULL;
	this->_numberOfColumns = 1;
	this->_itemScale = 1.000000;
	this->_layoutMask = 0;
	this->_preConstructedItemsCount = 40;
	this->_defaultFilterAvailable = false;
	this->_defaultFilterOwned = false;
	this->_sortingOptions = 0;
	this->_defaultSortingOption = ESortingOption::None;
	this->_defaultSortingOrder = ESortingOrder::Descending;
	this->_filtersTooltipText = FText::GetEmpty();
	this->_closeFiltersTooltipText = FText::GetEmpty();
	this->_perksTooltipText = FText::GetEmpty();
	this->_rightStickMode = ERightStickMode::None;
}
